Bug 1276064 - fusor-undercloud-installer fails when resolv.conf has multiple nameservers
fusor-undercloud-installer fails when resolv.conf has multiple nameservers
Status: CLOSED CURRENTRELEASE
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHELOSP (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity high
: TP2
: 1.0
Assigned To: Jesus M. Rodriguez
Dave Johnson
Dan Macpherson
: Triaged
Depends On:
Blocks: rhci-sprint-11 rhci-sprint-12
  Show dependency treegraph
 
Reported: 2015-10-28 10:47 EDT by Dave Johnson
Modified: 2016-10-03 15:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-03 15:01:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Johnson 2015-10-28 10:47:13 EDT
Description of problem:
=============================
Install the ooo iso, reboot, installer starts.  We were using dhcp which pulled in three name servers and messed up the installer script.  Removing 2 of the 3 servers from the file allowed the script to continue.


net.ipv4.ip_forward = 1
Set your resolvable Fully Qualified Domain Name: fqdn.redhat.com
/usr/sbin/fusor-undercloud-installer: line 41: [: too many arguments
Enter the DNS nameserver to use for the Overcloud: <ns_ip#1>
/usr/sbin/fusor-undercloud-installer: line 42: read: `<ns_ip#2>': not a valid identifier
Comment 3 Jesus M. Rodriguez 2015-12-04 17:26:23 EST
TEST PLAN
----------
Before running fusor-undercloud-installer ensure that you have more than one nameserver entry in your /etc/resolv.conf. If not, please add at least one. Also include a commented out nameserver for completeness.
Comment 4 Landon LaSmith 2016-01-26 16:48:52 EST
Verified.

RHCIOOO-7-RHEL-7-20160122.t.0-RHCIOOO-x86_64-dvd1.iso

Note You need to log in before you can comment on or make changes to this bug.